Application: gvSIG desktop - gvSIG bugs #5222
Exportar CSV a DBF genera tabla vacia
04/17/2020 11:55 AM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document table

Target version: 2.5.1-3016

Severity: Major Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3015 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

- Cargo un CSV (adjunto Avist.csv).
- Exporto a DBF sin modificar ninguna opcién por defecto
- Carga la nueva tabla DBF en gvSIG y no tiene ningln valor, todas las filas y columnas estan en blanco.

Adjunto logs

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5223: Unién entre Tabla ... Closed 04/17/2020
Related to Application: gvSIG desktop - gvSIG bugs # 5218: Excel y CSV no dis... Closed 04/13/2020

Associated revisions

Revision 2227 - 04/19/2020 11:37 AM - Joaquin del Cerro Murciano

refs #5222, correcciones en el calculo de la escala ya que para los float/double acababa estando a 0 cuando no soportan escala.

Revision 44926 - 04/19/2020 11:39 AM - Joaquin del Cerro Murciano

refs #5222, correcciones relacionadas con la gestion de escala para numeros en coma flotante que no soportan escala. Afectaba sobre todo al

proveedor de dbf y al de h2

History

#1 - 04/17/2020 12:10 PM - Alvaro Anguix
- Related to gvSIG bugs #5223: Unién entre Tabla de un shp y CSV da error. Al importar campos corrompe el shape added

#2 - 04/17/2020 12:15 PM - Joaquin del Cerro Murciano
- Target version set to 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278)

#3 - 04/18/2020 10:22 AM - Joaquin del Cerro Murciano
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3016

#4 - 04/19/2020 11:39 AM - Joaquin del Cerro Murciano

- Severity changed from Minor to Major

- Assignee set to Joaquin del Cerro Murciano

05/17/2024 1/2




- Status changed from New to Fixed

#5 - 04/19/2020 12:35 PM - Joaquin del Cerro Murciano

- Related to gvSIG bugs #5218: Excel y CSV no distingue el separador de decimales added

#6 - 04/19/2020 11:13 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

Avist.csv 2.34 KB 04/17/2020 Alvaro Anguix
gvSIG.log 145 KB 04/17/2020 Alvaro Anguix
gvSIG.log.1 512 KB 04/17/2020 Alvaro Anguix
gvSIG.log.3 512 KB 04/17/2020 Alvaro Anguix
gvSIG.log.2 512 KB 04/17/2020 Alvaro Anguix
